%define _version	%(echo %{version} | tr -d '.')

%define major   %(cut -d. -f1 <<< %{version})
%define libname %mklibname scintilla %{major}
%define develname %mklibname scintilla -d
%define liblexname %mklibname lexilla %{major}
%define devellexname %mklibname lexilla -d

Name:		scite
Version:	5.5.6
Release:	%mkrel 1
Summary:	SCIntilla based GTK+3 text editor
Group:		Editors
License:	MIT
Url:		https://www.scintilla.org/SciTE.html
Source0:	https://download.sourceforge.net/scintilla/%{name}%{_version}.tgz
Patch0:		scite-5.2.1-mga-desktop-file.patch
Patch1:		0001-scite-552-fix-rpath.patch
Patch2:		0001-scite-add-soname.patch
BuildRequires:	pkgconfig(gtk+-3.0)

%description
SciTE is a SCIntilla based Text Editor. Originally built to demonstrate
Scintilla, it has grown to be a generally useful editor with facilities for
building and running programs.

%package -n     %{libname}
Summary:        Scintilla shared libraries
Group:          System/Servers

%description -n %{libname}
Scintilla is a free source code editing component. As well as features
found in standard text editing components, Scintilla includes features
especially useful when editing and debugging source code. These include
support for syntax styling, error indicators, code completion and call
tips.

%package -n     %{develname}
Group:          Development/C
Summary:        Headers and static lib for scintilla development
Requires:       %{libname} = %{version}-%{release}
Provides:       scintilla-devel = %{version}-%{release}

%description -n %{develname}
Install this package if you want do compile applications using the
scintilla library.


%package -n     %{liblexname}
Summary:          Lexillia shared libraries
Group:          System/Servers

%description -n %{liblexname}
Scintilla is a free source code editing component. As well as features
found in standard text editing components, Scintilla includes features
especially useful when editing and debugging source code. These include
support for syntax styling, error indicators, code completion and call
tips.


%package -n     %{devellexname}
Group:          Development/C
Summary:        Headers and static lib for scintilla development
Requires:       %{liblexname} = %{version}-%{release}
Provides:       lexilla-devel = %{version}-%{release}

%description -n %{devellexname}
Install this package if you want do compile applications using the
lexilla library.

%prep
%setup -q -c
%autopatch -p1

%build
%set_build_flags
%make_build GTK3=1 SOMAJOR=%{major} -C scintilla/gtk shared
%make_build GTK3=1 SOMAJOR=%{major} -C lexilla/src shared
%make_build libdir=%{_libdir} GTK3=1 SOMAJOR=%{major} -C scite/gtk

%install
%make_install libdir=%{_libdir} GTK3=1 SOMAJOR=%{major} -C scite/gtk

ln -s SciTE %{buildroot}%{_bindir}/scite

# move and rename icon
mkdir -p %{buildroot}%{_iconsdir}/hicolor/48x48/apps
mv %{buildroot}%{_datadir}/pixmaps/Sci48M.png %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png

# include files
for d in scintilla lexilla; do
  mkdir -p %{buildroot}%{_includedir}/$d
  install -pm644 $d/include/*.h %{buildroot}%{_includedir}/$d/
done

%files
%doc scite/README scite/License.txt
%{_bindir}/SciTE
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/SciTE.desktop
%{_iconsdir}/hicolor/48x48/apps/%{name}.png

%files -n       %{libname}
%{_libdir}/libscintilla.so.%{major}
%doc scintilla/doc/*
%doc scintilla/License.txt

%files -n       %{develname}
%{_includedir}/scintilla/
%{_libdir}/libscintilla.so
# %{_libdir}/pkgconfig/scintilla.pc

%files -n       %{liblexname}
%{_libdir}/liblexilla.so.%{major}
%doc lexilla/doc/*
%doc lexilla/License.txt

%files -n       %{devellexname}
%{_includedir}/lexilla/
%{_libdir}/liblexilla.so
# %{_libdir}/pkgconfig/lexilla.pc


%changelog
* Mon May 26 2025 ns80 <ns80> 5.5.6-1.mga10
+ Revision: 2186505
- new version 5.5.6

* Thu Aug 29 2024 papoteur <papoteur> 5.5.2-1.mga10
+ Revision: 2092141
- new version 5.5.2
- rediff patches

* Sat Sep 10 2022 neoclust <neoclust> 5.3.0-1.mga9
+ Revision: 1886309
- New version 5.3.0

* Tue Apr 12 2022 wally <wally> 5.2.2-1.mga9
+ Revision: 1849166
- new version 5.2.2
- add patch to add soname to libs

* Thu Mar 31 2022 umeabot <umeabot> 5.2.1-2.mga9
+ Revision: 1835933
- Mageia 9 Mass Rebuild
+ papoteur <papoteur>
- Update to 5.2.1
- generate scintilla and lexilla libs from here instead of separate source package

* Fri Feb 14 2020 umeabot <umeabot> 3.7.5-3.mga8
+ Revision: 1516897
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%setup_compile_flags

* Sun Sep 23 2018 umeabot <umeabot> 3.7.5-2.mga7
+ Revision: 1300957
- Mageia 7 Mass Rebuild

* Sun Feb 11 2018 daviddavid <daviddavid> 3.7.5-1.mga7
+ Revision: 1200344
- new version: 3.7.5

* Wed Sep 20 2017 cjw <cjw> 3.5.0-5.mga7
+ Revision: 1156244
- setup compile flags to fix debug packages

* Sat Feb 06 2016 umeabot <umeabot> 3.5.0-4.mga6
+ Revision: 941169
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 3.5.0-3.mga5
+ Revision: 750894
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.5.0-2.mga5
+ Revision: 689068
- Mageia 5 Mass Rebuild

* Tue Aug 26 2014 anaselli <anaselli> 3.5.0-1.mga5
+ Revision: 668478
- new version 3.5.0

* Mon Aug 04 2014 akien <akien> 3.4.4-1.mga5
+ Revision: 659590
- Version 3.4.4
- Use system-wide scintilla instead of bundled one

* Mon Oct 21 2013 umeabot <umeabot> 3.3.5-2.mga4
+ Revision: 541170
- Mageia 4 Mass Rebuild

* Fri Oct 11 2013 matteo <matteo> 3.3.5-1.mga4
+ Revision: 495296
- new version 3.3.5

* Sat Jun 22 2013 matteo <matteo> 3.3.3-1.mga4
+ Revision: 445598
- new version (3.3.3)

* Mon Mar 25 2013 matteo <matteo> 3.2.5-1.mga3
+ Revision: 405206
- new version

* Tue Feb 05 2013 matteo <matteo> 3.2.4-1.mga3
+ Revision: 394744
- new version

* Mon Jan 14 2013 umeabot <umeabot> 3.2.3-2.mga3
+ Revision: 381879
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Oct 26 2012 matteo <matteo> 3.2.3-1.mga3
+ Revision: 310368
- new version

* Wed Sep 12 2012 matteo <matteo> 3.2.2-1.mga3
+ Revision: 292471
- new version

* Tue May 01 2012 matteo <matteo> 3.1.0-1.mga2
+ Revision: 234439
- new version
  - upstream includes fix to scroll mask bug
  - few other bugs fixed

* Fri Apr 13 2012 matteo <matteo> 3.0.4-1.mga2
+ Revision: 230564
- deleted wrong patch of the gtk makefile
- fixed makeinstall_std arguments
- spec file cleaned
- fixed gtk makefile bug not allowing desktop file installation
- added desktop file patch
- fixed mouse wheel scroll bug
- new version
  - built against gtk3 rather than gtk2
- new version

* Wed Sep 28 2011 matteo <matteo> 2.29-1.mga2
+ Revision: 149694
- upgrade to 2.29
- replaced commands with macros
- imported package scite


* Mon Jul 04 2011 Matteo Pasotti <pasotti.matteo@gmail.com> 2.22-1
- spec file created 
